Bug 478126 - MIGRATED_FROM_JIRA: Universal Binaries Support for Mac OS X Intel (Penrose Studio)
MIGRATED_FROM_JIRA: Universal Binaries Support for Mac OS X Intel (Penrose St...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:01 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:01:47 EST
java.lang.UnsatisfiedLinkError: /Users/jimyang/Desktop/Penrose Studio.app/Contents/MacOS/configuration/org.eclipse.osgi/bundles/11/1/.cp/libswt-pi-carbon-3138.jnilib: 
   at java.lang.ClassLoader$NativeLibrary.load(Native Method)
   at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
   at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
   at java.lang.Runtime.loadLibrary0(Runtime.java:822)
   at java.lang.System.loadLibrary(System.java:992)
   at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
   at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
   at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
   at org.eclipse.swt.widgets.Display.create(Display.java:836)
   at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
   at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
   at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
   at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:394)
   at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
   at org.safehaus.penrose.studio.PenroseApplication.run(Unknown Source)
   at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:585)
   at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
   at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
   at org.eclipse.core.launcher.Main.run(Main.java:973)
   at org.eclipse.core.launcher.Main.main(Main.java:948)

This is apparently error specific from Mac OS X Intel platform. 

Penrose Studio need to use the latest Eclipse launcher and SWT libraries that have been compiled as universal binaries...

Additional Comments From jimyang dated Fri Apr 14 13:00:24 CDT 2006 
Found the bug.. https://bugs.eclipse.org/bugs/show_bug.cgi?id=98889

The workaround is to update 

Penrose Studio.app/Contents/MacOS/plugins/org.eclipse.swt_3.1.0.jar

with the universal SWT binary from here: 
http://www.weinand.org/eclipse/org.eclipse.swt.carbon.macosx.ppc_3.1.0.jar.zip


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-140',
          'assignee' => 'endisd',
          'summary' => 'Universal Binaries Support for Mac OS X Intel (Penrose Studio)',
          'id' => '10416',
          'updated' => '2006-05-03 03:10:58.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'java.lang.UnsatisfiedLinkError: /Users/jimyang/Desktop/Penrose Studio.app/Contents/MacOS/configuration/org.eclipse.osgi/bundles/11/1/.cp/libswt-pi-carbon-3138.jnilib: 
   at java.lang.ClassLoader$NativeLibrary.load(Native Method)
   at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
   at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
   at java.lang.Runtime.loadLibrary0(Runtime.java:822)
   at java.lang.System.loadLibrary(System.java:992)
   at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
   at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
   at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
   at org.eclipse.swt.widgets.Display.create(Display.java:836)
   at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
   at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
   at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
   at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:394)
   at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
   at org.safehaus.penrose.studio.PenroseApplication.run(Unknown Source)
   at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:585)
   at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
   at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
   at org.eclipse.core.launcher.Main.run(Main.java:973)
   at org.eclipse.core.launcher.Main.main(Main.java:948)

This is apparently error specific from Mac OS X Intel platform. 

Penrose Studio need to use the latest Eclipse launcher and SWT libraries that have been compiled as universal binaries...
',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-04-14 12:44:35.0',
          'environment' => 'Mac OS X Intel',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:01:50 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-140

Note You need to log in before you can comment on or make changes to this bug.